%define upstream_name    File-Pid
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Pid File Manipulation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This software manages a pid file for you. It will create a pid file, query
the process within to discover if it's still running, and remove the pid
file.

new
      my $pidfile = File::Pid->new;
    
      my $thisfile = File::Pid->new({
        file => '/var/run/daemon.pid',
      });
    
      my $thisfileandpid = File::Pid->new({
        file => '/var/run/daemon.pid',
        pid  => '145',
      });

    This constructor takes two optional paramters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-9.mga8
+ Revision: 1494501
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.10.0-8.mga7
+ Revision: 1268158
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-7.mga6
+ Revision: 1027472
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-6.mga6
+ Revision: 947378
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 748587
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 684753
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 511605
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 367323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 1.10.0-1.mga3
+ Revision: 309825
- imported package perl-File-Pid


* Wed Oct 24 2012 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
